Download it now!
Bug 121641 - Properties are invisible after pressing the "Reset" button on Properties - Custom Properties
Summary: Properties are invisible after pressing the "Reset" button on Properties - Cu...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.0.1 target:6.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Dialog-UX
  Show dependency treegraph
 
Reported: 2018-11-22 21:11 UTC by Liad Skiva
Modified: 2019-01-01 21:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liad Skiva 2018-11-22 21:11:41 UTC
Description:
After pressing the "Reset" button, "Add Property" doesn't add properties

Steps to Reproduce:
1. Go to File->Properties
2. Go to the "Custom Properties" tab
3. Press the "Reset" button
4. Press the "Add Property" button

Actual Results:
After pressing the "Reset" button when pressing the "Add Properties" button, no properties are being added.

Expected Results:
Pressing the "Add Properties" should add a new property, even after pressing the "Reset" button.


Reproducible: Always


User Profile Reset: No



Additional Info:
-When adding a few properties, the page is getting larger since the scroll bar is getting smaller (therefore, properties are invisible).
-Pressing "OK" doesn't save the invisible properties.
- Already saved properties are turning invisible When pressing the "Reset" button, but when reopening the window, they are still saved.

LibreOffice help info:
Version: 6.1.3.2 (x64)
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: CL
Comment 1 Xisco Faulí 2018-11-22 22:17:04 UTC
Regression introduced by:

author	Szymon Kłos <szymon.klos@collabora.com>	2017-11-07 20:39:06 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2017-11-08 09:50:14 +0100
commit	272a96da03522a82db4185e7858d05375f3ea95e (patch)
tree	1ca63aefb0e0d8b9c0fcacfc75d6f8f423e0cac8
parent	35ca7baca44cc547818324731805fcefde71dd0d (diff)
tdf#100922 Refactor Custom Properties page

Bisected with: bibisect-linux64-6.0 

Adding Cc: to Szymon Kłos
Comment 2 Commit Notification 2018-12-04 19:59:55 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/997284391747771288c73d5b52d75b822fe04904%5E%21

Resolves: tdf#121641 properties invisible after 'reset'

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2018-12-04 20:15:23 UTC
that seems to work for me
Comment 4 Commit Notification 2018-12-05 08:52:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/16100d8db2398050f9ec10ee55178b2888141818%5E%21

Resolves: tdf#121641 properties invisible after 'reset'

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-12-06 13:05:07 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: fcc76610649a9830859f9e2efe2a06dbc6db74da
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 6 Commit Notification 2019-01-01 21:53:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/01e263bad891abea9bc671a29c95ea8a8b5fb842%5E%21

Resolves: tdf#121641 properties invisible after 'reset'

It will be available in 6.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.